Bug 178927 - [patch] security/p5-Crypt-SaltedHash
Summary: [patch] security/p5-Crypt-SaltedHash
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steven Kreuzer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-24 10:20 UTC by Andrej Zverev
Modified: 2013-06-07 08:50 UTC (History)
0 users

See Also:


Attachments
patch.diff (833 bytes, patch)
2013-05-24 10:20 UTC, Andrej Zverev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrej Zverev freebsd_committer 2013-05-24 10:20:02 UTC
	- Trim Makefile header
	- Remove unnecessary depend on PERL_LEVEL < 5.12
Comment 1 Edwin Groothuis freebsd_committer 2013-05-24 10:20:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->skreuzer

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-06-07 08:45:49 UTC
Author: az
Date: Fri Jun  7 07:45:41 2013
New Revision: 320166
URL: http://svnweb.freebsd.org/changeset/ports/320166

Log:
  - Trim Makefile header
  - Remove unnecessary depend on PERL_LEVEL < 5.12
  
  PR:		ports/178927
  Submitted by:	az
  Approved by:	maintainer (timeout)

Modified:
  head/security/p5-Crypt-SaltedHash/Makefile   (contents, props changed)

Modified: head/security/p5-Crypt-SaltedHash/Makefile
==============================================================================
--- head/security/p5-Crypt-SaltedHash/Makefile	Fri Jun  7 07:32:23 2013	(r320165)
+++ head/security/p5-Crypt-SaltedHash/Makefile	Fri Jun  7 07:45:41 2013	(r320166)
@@ -1,6 +1,4 @@
-# New ports collection Makefile for:	p5-Crypt-SaltedHash
-# Date created:				20 Dec 2006
-# Whom:	      				Gabor Kovesdan
+# Created by: Gabor Kovesdan
 # $FreeBSD$
 
 PORTNAME=	Crypt-SaltedHash
@@ -17,16 +15,4 @@ PERL_MODBUILD=	yes
 
 MAN3=		Crypt::SaltedHash.3
 
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 501000
-RUN_DEPENDS+=	p5-Digest>=1.16:${PORTSDIR}/security/p5-Digest
-BUILD_DEPENDS+=	p5-Digest>=1.16:${PORTSDIR}/security/p5-Digest
-.endif
-
-.if ${PERL_LEVEL} < 500703
-RUN_DEPENDS+=	p5-Digest-MD5>=2.16:${PORTSDIR}/security/p5-Digest-MD5
-BUILD_DEPENDS+=	p5-Digest-MD5>=2.16:${PORTSDIR}/security/p5-Digest-MD5
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Andrej Zverev freebsd_committer 2013-06-07 08:45:52 UTC
State Changed
From-To: open->closed

Committed. Thanks!